precision mediump float;
uniform vec4 u_color;
uniform sampler2D s_texture;
uniform int u_use_color;
uniform float u_texture_alpha;

varying vec2 v_texcoord;

void main()
{
    if (u_use_color == 1) {
        gl_FragColor = u_color;
    } else {
        gl_FragColor = texture2D(s_texture, v_texcoord);
        gl_FragColor.a *= u_texture_alpha;
    }
}
